Subject: Requesting Comments about the Draft : draft-arumuganainar-rtgwg-dps-requirements-00.txt

From: Arun Arumuganainar <[email-masked]>
Date: Tue, 8 Apr 2014 14:36:53 +0000

Hi all ,

Thanks very much for listening to my presentation during the London meeting and providing feedback on the draft.

Based on the feedback received , I have re-written the draft as two drafts.

1) DPS-Requirements Draft :- (draft-arumuganainar-rtgwg-dps-requirements-00.txt )

	- This talks about problem statement , full requirements and general framework for DPS
	- I have also included existing implementation and Gap analysis

2) DPS Use cases :- (draft-arumuganainar-rtgwg-dps-use-cases-00) 

	- Document all the use cases for DPS
	- Majority of the use cases taken from existing implementation. I have also included one use case that currently on our roadmap
	- As discussed draft can be amended if readers can come up with additional uses case.

Since requirements and Use cases draft essentially covers everything , my original draft(draft-aumuganainar-rtgwg-dps-00 ) do not hold any relevance. Hence I have allowed my original draft to expire.

In addition to this  I have also posted one more draft.  In the current implementation, signalling happens at control plane and hence DPS behaviour do not changes when there are changes in network condition . For example DPS behaviour when there is acute congestion on the primary link will be same as when there is no congestion. This is because BGP is used for signalling . And BGP is a control plane protocol. It do not have any information about what is happening in the forwarding plane.

 If we can move the signalling to forwarding plane then probably we can tune the DPS behaviour to adapt to dynamic network conditions. I have documented this requirement in a separate draft. This draft proposes to do the signalling at the TCP layer . It would be great if you can review this draft as well (draft-arumuganainar-rtgwg-dps-l4-ppn-00 ) .

It would be great if you can review this for me and let me know if there are any feedback or comments.

Thanks and Regards
Arun

Arun Arumuganainar
CCIE#16918 ( R&S and SP )     
Technical Design Authority 
Advanced Solution Delivery
Tata Communications Limited
Direct +44 207 029 9513   |  Fax +44 207 519 4609   |  Mobile +44 7771 831 052   |  IP 709513
[email-masked]

_____________________________________________
From: Arun Arumuganainar 
Sent: 15 October 2013 19:46
To: [email-masked]'
Subject: Requesting Comments about the Draft : draft-aumuganainar-rtgwg-dps-00

Hello all,

I have posted a following draft - Dynamic Path selection ( Based on Application ). http://www.ietf.org/internet-drafts/draft-aumuganainar-rtgwg-dps-00.txt

In the draft I have proposed a network design architecture for routing packets via different paths available in the network based on application port number. Primarily, this is targeted for Enterprise customers who have built up redundancy at their WAN edge but are suffering from a congested primary link whilst the secondary is idle.

The objective of this architecture is as follows

   1) Offload bulky application on to the secondary link                
   2) Achieve the above without introducing asymmetric routing in the network

It would be great if you can review this draft and respond back with any comments.

Thanks very much.

Thanks and Regards
Arun

Arun Arumuganainar
CCIE#16918 ( R&S and SP )     
Technical Design Authority 
Advanced Solution Delivery
Tata Communications Limited
Direct +44 207 029 9513   |  Fax +44 207 519 4609   |  Mobile +44 7771 831 052   |  IP 709513
[email-masked]